Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.beans.factory.parsing
Class ReaderContext

    java.lang.Object
      org.springframework.beans.factory.parsing.ReaderContext

Direct Known Subclasses:
  XmlReaderContext

    public class ReaderContext

extends java.lang.Object

Context that gets passed along a bean definition reading process, encapsulating all relevant configuration as well as state.

Since:
  2.0
Author:
  Rob Harrop, Juergen Hoeller

Constructor Summary
`ReaderContext(Resource resource, ProblemReporter problemReporter, ReaderEventListener eventListener, SourceExtractor sourceExtractor)`

Method Summary
`void` | `error(java.lang.String message, java.lang.Object source)`
`void` | `error(java.lang.String message, java.lang.Object source, ParseState parseState)`
`void` | `error(java.lang.String message, java.lang.Object source, ParseState parseState, java.lang.Throwable cause)`
`void` | `error(java.lang.String message, java.lang.Object source, java.lang.Throwable ex)`
`java.lang.Object` | `extractSource(java.lang.Object sourceCandidate)`
`void` | `fatal(java.lang.String message, java.lang.Object source)`
`void` | `fatal(java.lang.String message, java.lang.Object source, ParseState parseState)`
`void` | `fatal(java.lang.String message, java.lang.Object source, ParseState parseState, java.lang.Throwable cause)`
`void` | `fatal(java.lang.String message, java.lang.Object source, java.lang.Throwable ex)`
`void` | `fireAliasRegistered(java.lang.String beanName, java.lang.String alias, java.lang.Object source)`
`void` | `fireComponentRegistered(ComponentDefinition componentDefinition)`
`void` | `fireDefaultsRegistered(DefaultsDefinition defaultsDefinition)`
`void` | `fireImportProcessed(java.lang.String importedResource, java.lang.Object source)`
`void` | `fireImportProcessed(java.lang.String importedResource, Resource[] actualResources, java.lang.Object source)`
`Resource` | `getResource()`
`SourceExtractor` | `getSourceExtractor()`
`void` | `warning(java.lang.String message, java.lang.Object source)`
`void` | `warning(java.lang.String message, java.lang.Object source, ParseState parseState)`
`void` | `warning(java.lang.String message, java.lang.Object source, ParseState parseState, java.lang.Throwable cause)`
`void` | `warning(java.lang.String message, java.lang.Object source, java.lang.Throwable ex)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReaderContext

    public ReaderContext(Resource resource,
                         ProblemReporter problemReporter,
                         ReaderEventListener eventListener,
                         SourceExtractor sourceExtractor)

Method Detail

### getResource

    public final Resource getResource()

### fatal

    public void fatal(java.lang.String message,
                      java.lang.Object source)

### fatal

    public void fatal(java.lang.String message,
                      java.lang.Object source,
                      java.lang.Throwable ex)

### fatal

    public void fatal(java.lang.String message,
                      java.lang.Object source,
                      ParseState parseState)

### fatal

    public void fatal(java.lang.String message,
                      java.lang.Object source,
                      ParseState parseState,
                      java.lang.Throwable cause)

### error

    public void error(java.lang.String message,
                      java.lang.Object source)

### error

    public void error(java.lang.String message,
                      java.lang.Object source,
                      java.lang.Throwable ex)

### error

    public void error(java.lang.String message,
                      java.lang.Object source,
                      ParseState parseState)

### error

    public void error(java.lang.String message,
                      java.lang.Object source,
                      ParseState parseState,
                      java.lang.Throwable cause)

### warning

    public void warning(java.lang.String message,
                        java.lang.Object source)

### warning

    public void warning(java.lang.String message,
                        java.lang.Object source,
                        java.lang.Throwable ex)

### warning

    public void warning(java.lang.String message,
                        java.lang.Object source,
                        ParseState parseState)

### warning

    public void warning(java.lang.String message,
                        java.lang.Object source,
                        ParseState parseState,
                        java.lang.Throwable cause)

### fireDefaultsRegistered

    public void fireDefaultsRegistered(DefaultsDefinition defaultsDefinition)

### fireComponentRegistered

    public void fireComponentRegistered(ComponentDefinition componentDefinition)

### fireAliasRegistered

    public void fireAliasRegistered(java.lang.String beanName,
                                    java.lang.String alias,
                                    java.lang.Object source)

### fireImportProcessed

    public void fireImportProcessed(java.lang.String importedResource,
                                    java.lang.Object source)

### fireImportProcessed

    public void fireImportProcessed(java.lang.String importedResource,
                                    Resource[] actualResources,
                                    java.lang.Object source)

### getSourceExtractor

    public SourceExtractor getSourceExtractor()

### extractSource

    public java.lang.Object extractSource(java.lang.Object sourceCandidate)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD